# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.16

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/zang/east/upsSmartView

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/zang/east/build-upsSmartView-cmake-Release

# Utility rule file for cJSON_autogen.

# Include the progress variables for this target.
include lib/cJSON/CMakeFiles/cJSON_autogen.dir/progress.make

lib/cJSON/CMakeFiles/cJSON_autogen:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --blue --bold --progress-dir=/home/zang/east/build-upsSmartView-cmake-Release/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Automatic MOC and UIC for target cJSON"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/cmake -E cmake_autogen /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON/CMakeFiles/cJSON_autogen.dir/AutogenInfo.json Release

cJSON_autogen: lib/cJSON/CMakeFiles/cJSON_autogen
cJSON_autogen: lib/cJSON/CMakeFiles/cJSON_autogen.dir/build.make

.PHONY : cJSON_autogen

# Rule to build all files generated by this target.
lib/cJSON/CMakeFiles/cJSON_autogen.dir/build: cJSON_autogen

.PHONY : lib/cJSON/CMakeFiles/cJSON_autogen.dir/build

lib/cJSON/CMakeFiles/cJSON_autogen.dir/clean:
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && $(CMAKE_COMMAND) -P CMakeFiles/cJSON_autogen.dir/cmake_clean.cmake
.PHONY : lib/cJSON/CMakeFiles/cJSON_autogen.dir/clean

lib/cJSON/CMakeFiles/cJSON_autogen.dir/depend:
	cd /home/zang/east/build-upsSmartView-cmake-Release && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/zang/east/upsSmartView /home/zang/east/upsSmartView/lib/cJSON /home/zang/east/build-upsSmartView-cmake-Release /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON/CMakeFiles/cJSON_autogen.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : lib/cJSON/CMakeFiles/cJSON_autogen.dir/depend

